
* {
  margin: 0;
  padding: 0;
}
body {
  background-color: rgb(209, 160, 254);
}


.div1 {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr 2fr;
  grid-template-rows: auto;
  height: auto;
  margin:0px;
  object-fit: cover;
}

.div1 img {
    height: 100%;
    width: 100%;
    object-fit: cover;
}

.div2{
  display:grid;
  grid-template-columns: 10% 90%;
  font-size: 1rem;
  grid-template-rows: auto;
  margin-bottom: 10em;
  overflow:auto;
}

.div2 > h1{
  font-size: clamp(2rem, 7vw, 20rem);
  color: white;
  text-align: center;
  position: relative;
  font-family: "Fascinate", system-ui;
  font-weight: 400;
  font-style: normal;
  margin-left:1em;
}

.div3 {
  display:  grid;
  grid-template-columns: 1fr 1fr;
  grid-template-rows: auto;
  grid-gap: 1em;
  margin-left: 1em;
  margin-right:3em;
  
  
}

.div3 > p{
  background-color: rgb(216, 182, 248);
  font-size: clamp(1rem, 3vw, 2rem);
  grid-column: 2;
  grid-row: 1 / span 2;
  padding:2em;
  font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
  margin-bottom: 3em;
}

.column{
   margin: 1em
}

.column > img{
  height:20em;
  width:auto;
  margin:1em;
}

.div4 {
  display:  grid;
  grid-template-columns: 1fr 1fr;
  grid-template-rows: auto;
  grid-gap: 1em;
  align-items: center;
  justify-content: center;
  margin:2em;
}

.div4 > iframe{
  width: 80%;
  height: 100%;
  margin-left:1em;
}

.div4 > .links{
  margin-top: 3em;
  display: flex;
  justify-content: space-around;
}

.div4 ul{
        list-style-type: none;
        text-align: left;
        width:fit-content;
        overflow: hidden;
        font-size: 3em;
        font-family: Impact, Haettenschweiler, 'Arial Narrow Bold', sans-serif;
}

.div4 a{
        font-size: 1em;
        display: block;
        color: white;
        text-decoration: none;
        padding: 1em;
        margin-left:0px;
        background-color: rgb(0, 0, 0);
}

.div4 a:hover{
        background-color: #555;
        color: white;
}

.navbar ul{
        list-style-type: none;
        text-align: left;
        width:fit-content;
        overflow: hidden;
        font-size: 3em;
        font-family: Impact, Haettenschweiler, 'Arial Narrow Bold', sans-serif;
}

.navbar a {
        font-size: 1em;
        display: block;
        color: white;
        text-decoration: none;
        padding: 1em;
        margin-left:0px;
        background-color: rgb(0, 0, 0);
}

.navbar a:hover{
    background-color: #555;
    color: white;
}

button {
  background-color: #000;
  color: #fff;
  padding: 12px 20px;
  margin-top: 25px;
  border: none;
  text-transform: uppercase;
  font-weight: bold;
  cursor: pointer;
  font-size: 1rem;
  transition: background-color 0.3s;
}

.footer {
    color:rgb(255, 255, 255);
    background-color: rgb(0, 0, 0);
    font-size: 1rem;
    margin-bottom:0em;
    margin-left: 0em;
    margin-right: 0em;
    margin-top: 3em;
    text-align: center;
    font-family:Verdana, Geneva, Tahoma, sans-serif;
    font-style: normal;
    
}

@media only screen and (max-width: 600px){
  .wrapper {
    align-items: center;
    justify-content: center;
    margin:0;
    padding:0;
    
  }
  .navbar a {
    font-size: 1.2rem;
    padding: 0.75em;
  }

  .div1 {
    grid-template-columns: repeat(4, 1fr);
    overflow-x: auto; 
  }

  .div1 img {
    height: 100%;
    width: 100%;
    object-fit: cover;
  }

  .div2{
    grid-template-columns: 1fr;
    grid-gap: 0;
    overflow: auto;
    margin:0px;
    align-items: center;
    justify-content: center;
  }
  .div3{
    grid-template-columns: 2fr 1fr;
    grid-gap: 1em;
    align-items: center;
    justify-content: center;
    font-size: 0.7rem;
    padding: 0.75em;
  }

  .div3 p{ 
    font-size: clamp(1rem, 3vw, 2rem);
    padding: 0.75em;
    margin-top: 1.5em;
  }
  .div4{
    grid-template-columns: 1fr 1fr;
    grid-gap: 2em;
    align-items: center;
    justify-content: center;
    font-size: 0.8rem;
  }

  .div4 > iframe{
    width: 100%;
    height: 100%;
  }

  .div4 ul{
    margin-bottom:2em;
    margin-left:2em;
    font-size: 1rem;
  }
  
}

@media only screen and (min-width: 600px){
  .wrapper {
    grid-template-columns:1fr;
    grid-gap: 0.5em;
    grid-template-rows: auto;
    align-items: center;
    justify-content: center;
    
  }
  .div1 {
    grid-template-columns: 1fr 1fr 1fr 2fr; 
    grid-template-rows: auto;  
  }
  .div1 img{
    height: 100%;
    width: 100%;
    object-fit: cover;
  }

  .navbar a {
    font-size: 3rem;
    padding: 0.75em;
  }
  .div4{
    grid-template-columns: 1fr 1fr;
    grid-gap: 1em;
    font-size: 1rem;
  }

  .div4 > iframe{
    width: 80%;
    height: 100%;
    margin: 1em;
  
  }
  .div4 ul{
    margin-top: 0;
    font-size: 2rem;
  }
}